/// <reference path="../typings/node/node.d.ts" />
/// <reference path="../node_modules/typescript/bin/typescript.d.ts" />
/// <reference path="../node_modules/typescript/bin/lib.es6.d.ts" />
import ts = require("typescript");
export interface Options {
    dryRun?: boolean;
    verbose?: boolean;
    replace: boolean;
    verify: boolean;
    tslint: boolean;
    editorconfig: boolean;
    tsfmt: boolean;
}
export interface ResultMap {
    [fileName: string]: Result;
}
export interface Result {
    fileName: string;
    options: ts.FormatCodeOptions;
    message: string;
    error: boolean;
    src: string;
    dest: string;
}
export declare function processFiles(files: string[], opts: Options): Promise<ResultMap>;
export declare function processStream(fileName: string, input: NodeJS.ReadableStream, opts: Options): Promise<Result>;
export declare function processString(fileName: string, content: string, opts: Options): Promise<Result>;
